
GammaLib - Bug #1445

GCTAObservation::read_attributes() does not GObservation.id() and m_instrument

03/12/2015 11:09 AM - Mayer Michael

Status: Closed Start date: 03/12/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

There should be a line where the cta m_obs_id is transferred to the parent Observation object:

this->id(gammalib::string(m_obs_id))

In addition the string m_instrument should be set from the TELESCOP Header keyword.

I also realised that N_TELS is set to "100" while writing. This should be changed to use the input string, set by read_attributes().

History

#1 - 04/09/2015 09:01 PM - Knödlseder Jürgen

I agree with adding code to correctly handle the TELESCOP and N_TELS keywords, yet I would not copy the ID information as the ID information is

provided by the XML file (in principle, the ID in the XML file could different from the OBS_ID of the FITS file; the former is a string while the latter is an

integer number).

By copying over information you would overwrite the XML definition which would result confusion for the user.

#2 - 04/09/2015 09:07 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.0.0

- % Done changed from 0 to 100

Done and in devel.

#3 - 04/09/2015 09:11 PM - Mayer Michael

Thanks. I understand, I wasn't aware that GObservation::m_id was set on XML reading.

#4 - 04/18/2015 02:32 AM - Mayer Michael

To follow up on this, looking at the code I realised that there are still two attributes missing that are not ported through read() and write():

OBSERVER

TELLIST

Currently "string" ist written into the output FITS header. I think we should add these two attributes before the 1.0 release as well.
